
/*用户中心游戏币查询页面  选择游戏，选择服务器*/
function changserver() {
    var server = document.getElementById("compserver");
    $("#compserver").html("");
    $("#compserver").append("<option value=-1>" + "选择服务器" + "</option>");
    var gameid = document.getElementsByName("compgame")[0];

    var selvalueGameid = gameid.options[gameid.options.selectedIndex].value; //你要的值
    jQuery.getJSON("/api/getServer/Server.ashx?gid=" + selvalueGameid, {}, function (result) {
        jQuery.each(result, function (key, data) {
            $("#compserver").append("<option value=" + data.ID + ">" + data.Name + "</option>");
        })
//        var links = document.getElementById("user_code");
//        var serverid = document.getElementsByName("compserver")[0];
//        var selvalueServerid = serverid.options[serverid.options.selectedIndex].value; //你要的值
//        if (selvalueServerid == "-1") {
//            links.innerHTML = "";
//            return;
//        }
    })
}